diff --git a/applications/asset_tracker/prj_thingy91_nrf9160ns.conf b/applications/asset_tracker/prj_thingy91_nrf9160ns.conf
index 8ad5c81a..7a81110c 100644
--- a/applications/asset_tracker/prj_thingy91_nrf9160ns.conf
+++ b/applications/asset_tracker/prj_thingy91_nrf9160ns.conf
@@ -57,16 +57,27 @@ CONFIG_CLOUD_PERSISTENT_SESSIONS=y
 # Sensors
 CONFIG_SENSOR=y
 CONFIG_ACCEL_USE_EXTERNAL=y
-CONFIG_ACCEL_DEV_NAME="ADXL362"
-CONFIG_ADXL362=y
-CONFIG_ADXL362_TRIGGER_GLOBAL_THREAD=y
-CONFIG_ADXL362_ABS_REF_MODE=1
-CONFIG_ADXL362_ACTIVITY_THRESHOLD=200
-CONFIG_ADXL362_INACTIVITY_THRESHOLD=200
-CONFIG_ADXL362_INTERRUPT_MODE=1
+CONFIG_ACCEL_DEV_NAME="LIS2DW12"
+#CONFIG_ADXL362=y
+#CONFIG_ADXL362_TRIGGER_GLOBAL_THREAD=y
+#CONFIG_ADXL362_ABS_REF_MODE=1
+#CONFIG_ADXL362_ACTIVITY_THRESHOLD=200
+#CONFIG_ADXL362_INACTIVITY_THRESHOLD=200
+#CONFIG_ADXL362_INTERRUPT_MODE=1
 CONFIG_TEMP_USE_EXTERNAL=y
 CONFIG_TEMP_DEV_NAME="BME680"
 
+
+##added
+CONFIG_SPI=y
+CONFIG_SPI_NRFX=y
+CONFIG_SPI_3=y
+CONFIG_ACCEL_USE_EXTERNAL=y
+CONFIG_LIS2DW12=y
+CONFIG_LIS2DW12_ODR_1_6=y
+CONFIG_LIS2DW12_ACCEL_RANGE_2G=y
+##added
+
 # Deselect CONFIG_BME680 if CONFIG_USE_BME680_BSEC is selected
 CONFIG_BME680=y
 CONFIG_USE_BME680_BSEC=n
@@ -128,4 +139,4 @@ CONFIG_DOWNLOAD_CLIENT_STACK_SIZE=4096
 
 # Fatal error
 CONFIG_RESET_ON_FATAL_ERROR=n
-CONFIG_WATCHDOG=y
+CONFIG_WATCHDOG=y
\ No newline at end of file
diff --git a/applications/asset_tracker/thingy91_nrf9160ns.overlay b/applications/asset_tracker/thingy91_nrf9160ns.overlay
new file mode 100644
index 00000000..9cdbcaa7
--- /dev/null
+++ b/applications/asset_tracker/thingy91_nrf9160ns.overlay
@@ -0,0 +1,17 @@
+&spi3 {
+	compatible = "nordic,nrf-spim";
+	status = "okay";
+	sck-pin = <16>;
+	mosi-pin = <13>;
+	miso-pin = <14>;
+	cs-gpios = <&gpio0 15 GPIO_ACTIVE_LOW>;
+
+    
+	lis2dw12@0 {
+		compatible = "st,lis2dw12";
+        reg = <0>;
+        label = "LIS2DW12";
+		spi-max-frequency = <8000000>;
+		irq-gpios = <&gpio0 17 GPIO_ACTIVE_HIGH>;
+	};
+};
\ No newline at end of file
diff --git a/boards/arm/thingy91_nrf9160/thingy91_nrf9160_common.dts b/boards/arm/thingy91_nrf9160/thingy91_nrf9160_common.dts
index 057569d0..7df5500b 100644
--- a/boards/arm/thingy91_nrf9160/thingy91_nrf9160_common.dts
+++ b/boards/arm/thingy91_nrf9160/thingy91_nrf9160_common.dts
@@ -133,7 +133,7 @@
 	miso-pin = <5>;
 	cs-gpios = <&gpio0 8 0>, <&gpio0 7 0>;
 
-	adxl362@0 {
+	/*adxl362@0 {
 		compatible = "adi,adxl362";
 		label = "ADXL362";
 		spi-max-frequency = <8000000>;
@@ -147,7 +147,7 @@
 		spi-max-frequency = <8000000>;
 		reg = <1>;
 		int1-gpios = <&gpio0 6 0>;
-	};
+	};*/
 };
 
 &timer0 {
